package com.chenyang.nse.bussiness.entity.orm.table.core.maskingself;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_MASKINGSELF_TABLECOLUMN"
)
public class TCoreMaskingselfTablecolumn extends TBaseEntity {
   private static final long serialVersionUID = -2829491609947014349L;
   private String taskid;
   private String tableid;
   private String mappingkey;
   private String datadirection;
   private String columnname;
   private String primarykey;
   private String foreignkey;
   private String columnlength;
   private String columntype;
   private String columnscale;
   private String ruleid;
   private String judgenull;
   private int columnindex;
   private String regextype;
   private String rulename;
   private String remarks;

   public String getRulename() {
      return this.rulename;
   }

   public void setRulename(String rulename) {
      this.rulename = rulename;
   }

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public String getTableid() {
      return this.tableid;
   }

   public void setTableid(String tableid) {
      this.tableid = tableid;
   }

   public String getMappingkey() {
      return this.mappingkey;
   }

   public void setMappingkey(String mappingkey) {
      this.mappingkey = mappingkey;
   }

   public String getDatadirection() {
      return this.datadirection;
   }

   public void setDatadirection(String datadirection) {
      this.datadirection = datadirection;
   }

   public String getColumnname() {
      return this.columnname;
   }

   public void setColumnname(String columnname) {
      this.columnname = columnname;
   }

   public String getPrimarykey() {
      return this.primarykey;
   }

   public void setPrimarykey(String primarykey) {
      this.primarykey = primarykey;
   }

   public String getColumnlength() {
      return this.columnlength;
   }

   public void setColumnlength(String columnlength) {
      this.columnlength = columnlength;
   }

   public String getColumntype() {
      return this.columntype;
   }

   public void setColumntype(String columntype) {
      this.columntype = columntype;
   }

   public String getColumnscale() {
      return this.columnscale;
   }

   public void setColumnscale(String columnscale) {
      this.columnscale = columnscale;
   }

   public String getRuleid() {
      return this.ruleid;
   }

   public void setRuleid(String ruleid) {
      this.ruleid = ruleid;
   }

   public String getJudgenull() {
      return this.judgenull;
   }

   public void setJudgenull(String judgenull) {
      this.judgenull = judgenull;
   }

   public int getColumnindex() {
      return this.columnindex;
   }

   public void setColumnindex(int columnindex) {
      this.columnindex = columnindex;
   }

   public String getRegextype() {
      return this.regextype;
   }

   public void setRegextype(String regextype) {
      this.regextype = regextype;
   }

   public String getRemarks() {
      return this.remarks;
   }

   public void setRemarks(String remarks) {
      this.remarks = remarks;
   }

   public String getForeignkey() {
      return this.foreignkey;
   }

   public void setForeignkey(String foreignkey) {
      this.foreignkey = foreignkey;
   }
}
